package com.zjrs.zwnw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zjrs.zwnw.portal.po.common.CzPO;

@TableName(value = "v_rs_rlzy_jxgw")
public class VRsRlzyJxgwPO extends CzPO {
    @TableId(value = "rs_rlzy_jxgw_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "v_rs_rlzy_jxgw")
    private String rsrlzyjxgwlsh;//流水号
    @TableField(value = "dwmc")
    private String dwmc;//单位名称
    @TableField(value = "dwxz")
    private String dwxz;//单位性质
    @TableField(value = "gzddxzqh")
    private String gzddxzqh;//工作地点行政区划
    @TableField(value = "xxgzdz")
    private String xxgzdz;//详细工作地址
    @TableField(value = "lxr")
    private String lxr;//联系人
    @TableField(value = "lxjh")
    private String lxjh;//联系电话
    @TableField(value = "gzyx")
    private String gzyx;//工作邮箱
    @TableField(value = "jxgw")
    private String jxgw;//见习岗位
    @TableField(value = "sfyq")
    private String sfyq;//身份要求
    @TableField(value = "jxqx")
    private String jxqx;//见习期限
    @TableField(value = "jxbz")
    private String jxbz;//见习补助
    @TableField(value = "jxrs")
    private String jxrs;//见习人数
    @TableField(value = "jxyq")
    private String jxyq;//见习要求
    @TableField(value = "bmfs")
    private String bmfs;//报名方式
    @TableField(value = "bmjzrq")
    private String bmjzrq;//报名截止日期
    @TableField(value = "lyyx")
    private String lyyx;//留用月薪
    @TableField(value = "lyfl")
    private String lyfl;//留用福利
    @TableField(value = "fbzt")
    private String fbzt;//发布状态
    @TableField(value = "fbr")
    private String fbr;//发布人
    @TableField(value = "fbjg")
    private String fbjg;       //发布机构
    @TableField(value = "fbsj")
    private String fbsj;//发布时间
    @TableField(value = "bmzt")
    private String bmzt;//报名状态
    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志

    public String getRsrlzyjxgwlsh() {
        return rsrlzyjxgwlsh;
    }

    public void setRsrlzyjxgwlsh(String rsrlzyjxgwlsh) {
        this.rsrlzyjxgwlsh = rsrlzyjxgwlsh;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getDwxz() {
        return dwxz;
    }

    public void setDwxz(String dwxz) {
        this.dwxz = dwxz;
    }

    public String getGzddxzqh() {
        return gzddxzqh;
    }

    public void setGzddxzqh(String gzddxzqh) {
        this.gzddxzqh = gzddxzqh;
    }

    public String getXxgzdz() {
        return xxgzdz;
    }

    public void setXxgzdz(String xxgzdz) {
        this.xxgzdz = xxgzdz;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getLxjh() {
        return lxjh;
    }

    public void setLxjh(String lxjh) {
        this.lxjh = lxjh;
    }

    public String getGzyx() {
        return gzyx;
    }

    public void setGzyx(String gzyx) {
        this.gzyx = gzyx;
    }

    public String getJxgw() {
        return jxgw;
    }

    public void setJxgw(String jxgw) {
        this.jxgw = jxgw;
    }

    public String getSfyq() {
        return sfyq;
    }

    public void setSfyq(String sfyq) {
        this.sfyq = sfyq;
    }

    public String getJxqx() {
        return jxqx;
    }

    public void setJxqx(String jxqx) {
        this.jxqx = jxqx;
    }

    public String getJxbz() {
        return jxbz;
    }

    public void setJxbz(String jxbz) {
        this.jxbz = jxbz;
    }

    public String getJxrs() {
        return jxrs;
    }

    public void setJxrs(String jxrs) {
        this.jxrs = jxrs;
    }

    public String getJxyq() {
        return jxyq;
    }

    public void setJxyq(String jxyq) {
        this.jxyq = jxyq;
    }

    public String getBmfs() {
        return bmfs;
    }

    public void setBmfs(String bmfs) {
        this.bmfs = bmfs;
    }

    public String getBmjzrq() {
        return bmjzrq;
    }

    public void setBmjzrq(String bmjzrq) {
        this.bmjzrq = bmjzrq;
    }

    public String getLyyx() {
        return lyyx;
    }

    public void setLyyx(String lyyx) {
        this.lyyx = lyyx;
    }

    public String getLyfl() {
        return lyfl;
    }

    public void setLyfl(String lyfl) {
        this.lyfl = lyfl;
    }

    public String getFbzt() {
        return fbzt;
    }

    public void setFbzt(String fbzt) {
        this.fbzt = fbzt;
    }

    public String getFbsj() {
        return fbsj;
    }

    public void setFbsj(String fbsj) {
        this.fbsj = fbsj;
    }

    public String getBmzt() {
        return bmzt;
    }

    public void setBmzt(String bmzt) {
        this.bmzt = bmzt;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }

    public String getFbr() {
        return fbr;
    }

    public void setFbr(String fbr) {
        this.fbr = fbr;
    }

    public String getFbjg() {
        return fbjg;
    }

    public void setFbjg(String fbjg) {
        this.fbjg = fbjg;
    }
}
